:root {
    --primary-color: #EE4D2D;
    --white-color: #fff;
    --black-color: #000;
    --text-color: #333;
    --border-color: #dbdbdb;
    --star-gold-color: #FFCE3E;

    --header-height: 120px;
    --navbar-height: 34px;
    --header-with-search-height: calc(var(--header-height) - var(--navbar-height));
    --header-sort-bar-height: 46px;
}

* {
    box-sizing: inherit;

}

html {
    font-size: 62.5%;
    line-height: 1.6rem;
    font-family: 'Roboto', sans-serif;
    box-sizing: border-box;
}

/* Responsive */
.grid__row {
    display: flex;
    flex-wrap: wrap;
    margin-left: -5px;
    margin-right: -5px;
}

/* Test */
.grid__column-2 {
    padding-left: 5px;
    padding-right: 5px;
    width: 16.6667%;
}

.grid__column-2-4 {
    padding-left: 5px;
    padding-right: 5px;
    width: 20%;
}

.grid__column-10 {
    padding-left: 5px;
    padding-right: 5px;
    width: 83.3334%;
}

/* Animation */
@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes growth {
    from {
        transform: scale(var(--growth-from));
    }

    to {
        transform: scale(var(--growth-to));
    }
}

/* Modal */
.modal {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: flex;
    animation: fadeIn linear 0.1s;
}

.modal__overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
}

.modal__body {
    --growth-from: 0.7;
    --growth-to: 1;
    background-color: var(--white-color);
    margin: auto;
    position: relative;
    z-index: 1;
    border-radius: 5px;
    animation: growth linear 0.1s;
}

/* Button style */
.btn {
    min-width: 124px;
    height: 34px;
    text-decoration: none;
    border: none;
    border-radius: 2px;
    font-size: 1.5rem;
    padding: 0 12px;
    outline: none;
    cursor: pointer;
    color: var(--text-color);
    display: inline-flex;
    justify-content: center;
    align-items: center;
    line-height: 2.6rem;
}

.btn.btn--normal:hover {
    background-color: rgba(0, 0, 0, 0.1);
}

.btn.btn--size-s {
    height: 32px;
    font-size: 12px;
    padding: 0 8px;
}

.btn.btn--primary {
    color: var(--white-color);
    background-color: var(--primary-color);
}

.btn.btn--disabled {
    color: #949494;
    cursor: default;
    background-color: #c3c3c3;
}

/* Selection */
.select-input {
    position: relative;
    min-width: 200px;
    height: 34px;
    padding: 0 12px;
    border-radius: 2px;
    background-color: var(--white-color);
    display: flex;
    justify-content: space-between;
    align-items: center;

}

.select-input__label {
    font-size: 1.5rem;
}

.select-input__icon {
    font-size: 1.4rem;
    color: rgb(131, 131, 131);
    position: relative;
    top: 1px;
}

.select-input:hover .select-input__list {
    display: block;
}

.select-input__list {
    position: absolute;
    left: 0;
    right: 0;
    top: 25px;
    border-radius: 2px;
    background-color: var(--white-color);
    padding: 8px 16px;
    list-style: none;
    display: none;
    z-index: 1;
}

.select-input__link {
    font-size: 1.4rem;
    color: var(--text-color);
    text-decoration: none;
    display: block;
    padding: 4px 0;
}

.select-input__link:hover {
    color: var(--primary-color);
}

/* Pagination */
.pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    list-style: none;
}

.pagination-item {
    margin: 0 12px;
}

.pagination-item--active .pagination-item__link {
    background-color: var(--primary-color);
    color: var(--white-color);
}

.pagination-item--active .pagination-item__link:hover {
    background-color: #ed5c3f;
}

.pagination-item__link {
    --height: 30px;
    display: block;
    text-decoration: none;
    font-size: 2rem;
    font-weight: 300;
    color: #939393;
    min-width: 40px;
    height: var(--height);
    text-align: center;
    line-height: var(--height);
    border-radius: 2px;
}